seqMatcherAlign {SLGI} | R Documentation

## Functions to do local alignment of two sequences using EMBOSS matcher

### Description

`seqMatcherAlign` matches two sequences using the EMBOSS matcher program.

`getAlignStats` extract the statistics from the alignment result data.

### Usage

        seqMatcherAlign(pairNameV,BankIDV,seqBank)
        getAlignStats(alignRes)

### Arguments

`pairNameV` | a vector of gene pair names
`BankIDV` | a vector of the sequence IDs in the sequence Bank.
`seqBank` | a database of all the sequences
`alignRes` | object returned by `seqMatcherAlign`

### Details

`seqMatcherAlign` matches the gene pair names with the sequence bank IDs and export the two sequences in to two files: seq1.new and seq2.new. Then uses system calls to run EMBOSS matcher program to align the two sequences. The result from matcher is store in file "out.matcher". `seqMatcherAlign` read in this file and create a R object summarize the alignment results.

`getAlignStats` takes the alignment result data and extract the statistics of the result in to data.frame.

### Value

`names` | contains the names of the gene pair
`results` | contains the alignment statistics: the aligned total length, the number of identical match, the number of similar match, the number of gaps, and the alignment score
`seq` | displays the aligned sequences

### Note

`pairMatcherAlign` use system calls to run EMBOSS matcher program. You must have EMBOSS matcher installed on your computer.

### Author(s)

Z. Jiang

### References

EMBOSS: The European Molecular Biology Open Software Suite (2000) Rice,P. Longden,I. and Bleasby,A. Trends in Genetics 16, (6) pp276–277

### Examples

    seq1 <- "RPHEDEKEAIDEAKKMKVPGENEDESKEEEKSQELEEAIDSKEKSTDARDEQGDEGDNEEENNEEDNENENEHTAPPALVMPSPIEMEEQRM"
    seq2 <- "QKYLLKKAIRNFSEYPFYAQNKLIHQQATGLILTEEEKSQELEEKIISKIKKEEHLKKINLKHDYFDLQKKYEKECEILTKLSENLRKEK"
    seq3 <- "IHQQATGLILTKIISKIKKEEHVPGENEDLKKINLKHDYFDLQKKYEKECEILTKLSENLRKEEIENKRKEHELMEQKRREEGIETEKEKSLRHPSSSSSSRRRN"
    seqBank <- list(seq1=list(seq=seq1),seq2=list(seq=seq2),seq3=list(seq=seq3))
    bid <- names(seqBank)
    pnames <- c("seq1","seq3")
    ## Not run:
    ar <- seqMatcherAlign(pnames, bid, seqBank)
    ar
    getAlignStats(ar)
    ## End(Not run)

[Package SLGI version 1.4.0 Index]